package org.iotivity.bridge.homeserver.handler;

import android.util.Log;

import org.iotivity.OCRandomPinHandler;
import org.iotivity.bridge.homeserver.BridgeServerActivity;
import org.iotivity.bridge.homeserver.BridgeService;

public class RandomPinHandler implements OCRandomPinHandler {

    private static final String TAG = RandomPinHandler.class.getSimpleName();

    private BridgeService service;

    public RandomPinHandler(BridgeService service) {
        this.service = service;
    }

    @Override
    public void handler(String pin) {
        Log.d(TAG, "inside Random Pin Handler");
        service.msg("\n!!!!!!!!!!!!!!!!!!!!\nRandom PIN: " + pin + "\n!!!!!!!!!!!!!!!!!!!!\n");
        service.printLine();
    }
}
